import axios from "../../utils/axios";

export function getPlatform(query) {
    return axios({
        url: "/udims/platform/list",
        method: "get",
        params: query
    });
}

export function getUnbindPlatform(query) {
    return axios({
        url: "/udims/platform/getUnbindList",
        method: "get",
        params: query
    });
}

export function updatePlatform(data) {
    return axios({
        url: "/udims/platform/update",
        method: "post",
        data: data
    });
}

export function deletePlatform(data) {
    return axios({
        url: "/udims/platform/remove",
        method: "post",
        data: data
    });
}


export function linkPlatform(query) {
    return axios({
        url: "/udims/platform/link",
        method: "post",
        data: query
    });
}

//查询往来单位和自助平台关联数据
export function getLinkPlatformList(query) {
    return axios({
        url: "/udims/platform/getLinkPlatformList",
        method: "get",
        params: query
    });
}

//解绑往来单位字典和自助平台
export function unbindPlatform(query) {
    return axios({
        url: "/udims/platform/unbind",
        method: "post",
        params: query
    });
}

export function getTargetActions(query) {
    return axios({
        url: "/udims/platform/getTargetActions",
        method: "get",
        params: query
    });
}

export function getTargetInv(query) {
    return axios({
        url: "/udims/platform/getTargetInv",
        method: "get",
        params: query
    });
}


export function getTargetSubInv(query) {
    return axios({
        url: "/udims/platform/getTargetSubInv",
        method: "get",
        params: query
    });
}



